%global commit0 e5e817891f80337a1b6c71e5396d5686542e7875
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           libvdpau-tegra
Version:        1.0.0
Release:        15%{?dist}
Summary:        VDPAU backend driver for the NVIDIA Tegra SoC's

License:        GPLv2+
URL:            https://github.com/grate-driver/libvdpau-tegra
Source0:        %{url}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

ExclusiveArch:  armv7hl

BuildRequires:  libtool
BuildRequires:  systemd
# for gl_VISIBILITY
BuildRequires:  gnulib-devel

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(libdrm_tegra)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xv)



%description
This is a VDPAU backend driver for the NVIDIA Tegra SoC's.


%prep
%autosetup -p1 -n %{name}-%{commit0}
autoreconf -vif


%build
%configure --disable-static
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -delete


%files
%doc README.md
%{_libdir}/vdpau/libvdpau_tegra.so*
%{_libdir}/pkgconfig/vdpau-tegra.pc
%{_udevrulesdir}/70-tegra_vde.rules


%changelog
* Wed Jan 12 2022 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-15
- Update snapshot

* Mon Jan 10 2022 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-14
- Update snapshot

* Mon Feb 01 2021 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-13
- Update

* Tue Jun 16 2020 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-12
- Update snapshot

* Thu Apr 23 2020 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-11
- Update snapshot

* Thu Oct 31 2019 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-10
- Update snapshot

* Sun Mar 24 2019 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-9
- Update snapshot

* Mon Jan 14 2019 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-8
- Update snapshot

* Thu Sep 06 2018 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-7
- Update snapshot

* Tue Sep 04 2018 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-6
- Add rebased

* Thu Jul 12 2018 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-5
- Bump

* Sat Feb 10 2018 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-4
- Update snapshot

* Sun Dec 31 2017 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-3
- Update snapshot

* Fri Jun 16 2017 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-2
- Update snapshot

* Wed Jun 14 2017 Nicolas Chauvet <kwizart@gmail.com> - 1.0.0-1
- Update snapshot
- Switch from digetx to grate-driver location

* Wed May 24 2017 Nicolas Chauvet <kwizart@gmail.com> - 0.1-1
- Initial spec file
